Skip to Content

4.7 to ECC6.0 upgrade, R3trans too old in general checks.

Hello all. Banging my head up against a wall here to begin an upgrade of our DEV system. During the general checks section of PREPARE I encounter the following.

"ERROR: There are dependencies between support

packages included into the upgrade and the

target release kernel in directory.

e:\usr\sap\put\exe.

The tool R3trans needs a build date of 02.14.08

or later.

Please proceed as described in note 211077."

We have followed this note exactly and we still run into this problem. The current R3trans in that directory and in the e:\usr\sap\put\exenew directory is dated 8/3/08.

We have reset our prepare twice, repeated the note and still have not gotten around this problem.

Note we have also performed 2 previous test upgrades, using the same source files and same kernel patches and never encountered this error.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • Best Answer
    Sep 12, 2008 at 03:18 PM

    are you using the 7.00 version of R3trans?

    also check the support packs version. I beleive that you must use the latest SPAM version on your soon-to-be upgraded system.

    Add comment
    10|10000 characters needed characters exceeded

  • Sep 12, 2008 at 07:19 PM

    > "ERROR: There are dependencies between support

    > packages included into the upgrade and the

    > target release kernel in directory.

    > e:\usr\sap\put\exe.

    >

    > We have followed this note exactly and we still run into this problem. The current R3trans in that directory and in the e:\usr\sap\put\exenew directory is dated 8/3/08.

    So the new one is in both directories? Is it possible that the phase you repeat is unpacking the old one again from the DVD?

    Markus

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 18, 2008 at 11:25 AM

    hi

    you hav just updated your R3trans.exe

    along with that you hav to update your tp.exe to the same version.

    just download the latest tp and r3trans and stop the server and paste it in usr/sap/put/exe

    and restart the system

    and try to restart the PREPARE

    thanks and regard

    khurshid

    Add comment
    10|10000 characters needed characters exceeded

  • Sep 19, 2008 at 08:47 PM

    Thank you for your suggestions. It turns out there is a known issue with the specific version of SAPup I was using and it was resolved via SAP note.

    Appreciate everyones suggestions.

    Add comment
    10|10000 characters needed characters exceeded

    • I misspoke above, there is no actual note at this time. We contacted SAP directly and they told us they were aware of the issue and it will be corrected in the next release of SAPup.

      If they update it with a note I will post it here. Sorry about the confusion.